Package org.linphone.core

# Enum Class Ldap.AuthMethod

java.lang.Object
java.lang.Enum<Ldap.AuthMethod>
org.linphone.core.Ldap.AuthMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<Ldap.AuthMethod>`, `Constable`

Enclosing interface:
  Ldap

public static enum Ldap.AuthMethod extends Enum<Ldap.AuthMethod>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Anonymous`
Connection without passwords.
`Simple`
Connection with username/password.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Ldap.AuthMethod`
`fromInt(int value)`
`int`
`toInt()`
`static Ldap.AuthMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Ldap.AuthMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Anonymous

public static final Ldap.AuthMethod Anonymous
Connection without passwords.

### Simple

public static final Ldap.AuthMethod Simple
Connection with username/password.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Ldap.AuthMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Ldap.AuthMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Ldap.AuthMethod fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()